OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.OES.ByteCoordinates

Contents

- Extension Support
- Types
- Enums
- Functions

Description

Synopsis

- glGetOESByteCoordinates :: MonadIO m => m Bool
- gl_OES_byte_coordinates :: Bool
- type GLbyte = CSChar
- gl_BYTE :: GLenum
- glMultiTexCoord1bOES :: MonadIO m => GLenum -> GLbyte -> m ()
- glMultiTexCoord1bvOES :: MonadIO m => GLenum -> Ptr GLbyte -> m ()
- glMultiTexCoord2bOES :: MonadIO m => GLenum -> GLbyte -> GLbyte -> m ()
- glMultiTexCoord2bvOES :: MonadIO m => GLenum -> Ptr GLbyte -> m ()
- glMultiTexCoord3bOES :: MonadIO m => GLenum -> GLbyte -> GLbyte -> GLbyte -> m ()
- glMultiTexCoord3bvOES :: MonadIO m => GLenum -> Ptr GLbyte -> m ()
- glMultiTexCoord4bOES :: MonadIO m => GLenum -> GLbyte -> GLbyte -> GLbyte -> GLbyte -> m ()
- glMultiTexCoord4bvOES :: MonadIO m => GLenum -> Ptr GLbyte -> m ()
- glTexCoord1bOES :: MonadIO m => GLbyte -> m ()
- glTexCoord1bvOES :: MonadIO m => Ptr GLbyte -> m ()
- glTexCoord2bOES :: MonadIO m => GLbyte -> GLbyte -> m ()
- glTexCoord2bvOES :: MonadIO m => Ptr GLbyte -> m ()
- glTexCoord3bOES :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> m ()
- glTexCoord3bvOES :: MonadIO m => Ptr GLbyte -> m ()
- glTexCoord4bOES :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> GLbyte -> m ()
- glTexCoord4bvOES :: MonadIO m => Ptr GLbyte -> m ()
- glVertex2bOES :: MonadIO m => GLbyte -> GLbyte -> m ()
- glVertex2bvOES :: MonadIO m => Ptr GLbyte -> m ()
- glVertex3bOES :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> m ()
- glVertex3bvOES :: MonadIO m => Ptr GLbyte -> m ()
- glVertex4bOES :: MonadIO m => GLbyte -> GLbyte -> GLbyte -> GLbyte -> m ()
- glVertex4bvOES :: MonadIO m => Ptr GLbyte -> m ()

# Extension Support

glGetOESByteCoordinates :: MonadIO m => m Bool

Is the OES_byte_coordinates extension supported?

gl_OES_byte_coordinates :: Bool

Is the OES_byte_coordinates extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetOESByteCoordinates` in those cases instead.

# Types

type GLbyte = CSChar

8bit signed two's complement binary integer.

# Enums

gl_BYTE :: GLenum

# Functions

glMultiTexCoord1bOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLbyte | `s`.
-> m () |

glMultiTexCoord1bvOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> Ptr GLbyte | `coords` pointing to `1` element of type `GLbyte`.
-> m () |

glMultiTexCoord2bOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLbyte | `s`.
-> GLbyte | `t`.
-> m () |

glMultiTexCoord2bvOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> Ptr GLbyte | `coords` pointing to `2` elements of type `GLbyte`.
-> m () |

glMultiTexCoord3bOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLbyte | `s`.
-> GLbyte | `t`.
-> GLbyte | `r`.
-> m () |

glMultiTexCoord3bvOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> Ptr GLbyte | `coords` pointing to `3` elements of type `GLbyte`.
-> m () |

glMultiTexCoord4bOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> GLbyte | `s`.
-> GLbyte | `t`.
-> GLbyte | `r`.
-> GLbyte | `q`.
-> m () |

glMultiTexCoord4bvOES

Arguments

:: MonadIO m |
=> GLenum | `texture`.
-> Ptr GLbyte | `coords` pointing to `4` elements of type `GLbyte`.
-> m () |

glTexCoord1bOES

Arguments

:: MonadIO m |
=> GLbyte | `s`.
-> m () |

glTexCoord1bvOES

Arguments

:: MonadIO m |
=> Ptr GLbyte | `coords` pointing to `1` element of type `GLbyte`.
-> m () |

glTexCoord2bOES

Arguments

:: MonadIO m |
=> GLbyte | `s`.
-> GLbyte | `t`.
-> m () |

glTexCoord2bvOES

Arguments

:: MonadIO m |
=> Ptr GLbyte | `coords` pointing to `2` elements of type `GLbyte`.
-> m () |

glTexCoord3bOES

Arguments

:: MonadIO m |
=> GLbyte | `s`.
-> GLbyte | `t`.
-> GLbyte | `r`.
-> m () |

glTexCoord3bvOES

Arguments

:: MonadIO m |
=> Ptr GLbyte | `coords` pointing to `3` elements of type `GLbyte`.
-> m () |

glTexCoord4bOES

Arguments

:: MonadIO m |
=> GLbyte | `s`.
-> GLbyte | `t`.
-> GLbyte | `r`.
-> GLbyte | `q`.
-> m () |

glTexCoord4bvOES

Arguments

:: MonadIO m |
=> Ptr GLbyte | `coords` pointing to `4` elements of type `GLbyte`.
-> m () |

glVertex2bOES

Arguments

:: MonadIO m |
=> GLbyte | `x`.
-> GLbyte | `y`.
-> m () |

glVertex2bvOES

Arguments

:: MonadIO m |
=> Ptr GLbyte | `coords` pointing to `2` elements of type `GLbyte`.
-> m () |

glVertex3bOES

Arguments

:: MonadIO m |
=> GLbyte | `x`.
-> GLbyte | `y`.
-> GLbyte | `z`.
-> m () |

glVertex3bvOES

Arguments

:: MonadIO m |
=> Ptr GLbyte | `coords` pointing to `3` elements of type `GLbyte`.
-> m () |

glVertex4bOES

Arguments

:: MonadIO m |
=> GLbyte | `x`.
-> GLbyte | `y`.
-> GLbyte | `z`.
-> GLbyte | `w`.
-> m () |

glVertex4bvOES

Arguments

:: MonadIO m |
=> Ptr GLbyte | `coords` pointing to `4` elements of type `GLbyte`.
-> m () |